*  Program...........: SETSETS.PRG
*  Author............: yag
*  Project...........: COMMON
*  Created...........: 12/09/92
*  Copyright.........: (c) Flash Creative Management, 1992
*) Description.......: Sets all environmental settings
*  Calling Samples...: DO SetSets
*  Parameter List....: 
*  Major change list.: 10/15/92 Changed _WRAP to .F. so that bell would
*                    :           ring with ? CHR(7). 

* Set up Global Variables

SET ALTERNATE OFF
SET ALTERNATE TO
SET ANSI OFF
SET AUTOSAVE OFF
SET BELL OFF
SET BLINK OFF
SET BLOCKSIZE TO 33
SET BORDER TO SINGLE
SET BRSTATUS OFF
SET CARRY OFF
SET CENTURY ON
SET CLEAR ON
SET CLOCK OFF                                   
SET COMPATIBLE FOXPLUS
SET CONFIRM ON
IF SET('CONSOLE') = 'OFF'
  SET CONSOLE ON
ENDIF (SET('CONSOLE') = 'OFF')
SET CURRENCY LEFT
SET CURSOR ON
SET DATE AMERICAN
SET DECIMALS TO 2
SET DELETED ON
SET DELIMITERS OFF
IF GETENV("USER") = gcEnvUser		&& .T. if at the office
  SET DEBUG ON                                 
  SET DEVELOPMENT ON
  SET LOGERRORS ON
ELSE
  SET DEBUG OFF
  SET DEVELOPMENT OFF
  SET LOGERRORS OFF
ENDIF (GETENV("USER") = gcEnvUser                 
SET DEVICE TO SCREEN
SET DOHISTORY OFF
SET ECHO OFF
SET ESCAPE OFF
SET EXACT OFF
SET EXCLUSIVE OFF                   && For Multi-user use - 08/04/92
SET FIELDS OFF
SET FIXED OFF
SET FORMAT TO
SET FULLPATH ON						&& To fix DBF() return value
SET HEADING ON
SET HELP ON
SET HELPFILTER TO
SET HOURS TO 12
SET HISTORY OFF
SET INTENSITY ON
DO CASE
	CASE _WINDOWS AND '2.6' $ VERSION()
		SET LIBRARY TO (SYS(2004)+'foxtools.fll') ADDITIVE
	CASE _MAC
		SET LIBRARY TO ('Foxtools')
	CASE _DOS AND '2.6' $ VERSION()
	    SET LIBRARY TO (SYS(2004)+'FPATH.PLB') ADDITIVE	
	OTHERWISE
		SET LIBRARY TO
ENDCASE
SET LOCK OFF
*    SET LOGERROR OFF                           && Moved w/ SET DEVELOPMENT
SET MARGIN TO 0
SET MARK TO "/"
SET MEMOWIDTH TO 65
SET MENU ON
SET MESSAGE TO 24 CENTER
SET MOUSE ON
SET MULTILOCKS ON
SET NEAR OFF
SET NOTIFY ON
SET ODOMETER TO 100
SET OPTIMIZE ON
SET PATH TO
SET POINT TO "."
SET PRECISION TO 3
SET PRINT OFF
SET PRINTER TO Lpt1
SET PROCEDURE TO
SET REFRESH TO 0
*SET REPROCESS TO Automatic
SET REPROCESS TO 1
SET SAFETY OFF
IF SET('SCOREBOARD') = 'ON'
  SET SCOREBOARD OFF
ENDIF (SET('SCOREBOARD') = 'ON')
SET SEPARATOR TO  ","
SET SHADOWS ON
SET SPACE OFF
IF SET('STATUS')   = 'ON'
  SET STATUS OFF
ENDIF (SET('STATUS')   = 'ON')
SET STEP OFF
SET STICKY ON
SET SYSMENU AUTOMATIC
SET TALK OFF
SET TEXTMERGE OFF
SET TOPIC TO
SET TYPEAHEAD TO 0
SET TYPEAHEAD TO 25
SET UDFPARMS TO VALUE
SET UNIQUE OFF


* SET THE INSERT / CAPS / NUMLOCK KEYS
= INSMODE(.T.)
= CAPSLOCK(.F.)
= NUMLOCK(.T.)

* SYSTEM VARIABLE SETTINGS
_ALIGNMENT =  "LEFT"
_BOX =        .T.
_INDENT =     0
_LMARGIN =    0
_PADVANCE =   "FORMFEED"
_PAGENO =     1
_PBPAGE =     1
_PCOPIES =    1
_PECODE =     ""
_PEJECT =     "AFTER"
_PEPAGE =     32767
_PFORM =      ""
_PLENGTH =    66
_PLOFFSET =   0
_PPITCH =     "PICA"
_PQUALITY =   .T.
_PSCODE =     ""
_PSPACING =   1
_PWAIT =      .F.
_RMARGIN =    80
_TABS =       "10, 20, 30, 40, 50, 60, 70"
_WRAP =       .F.		&& Changed to .F. to enable bell (? CHR(7))

RETURN

